phpCAS version 1.3.6

Functions
InternalProxied

## Functions
| CAS_Client::validateCAS20 (&$validate_url, &$text_response, &$tree_response, $renew=false)
| CAS_Client::_readExtraAttributesCas20 ($success_elements)
| CAS_Client::_addAttributeToArray (array &$attributeArray, $name, $value)

## Detailed Description

## Function Documentation

## ◆ _addAttributeToArray()

CAS_Client::_addAttributeToArray | ( | array & | $attributeArray,
|  |  | $name,
|  |  | $value
| ) |  |
| private

Add an attribute value to an array of attributes.

Parameters

  array | &$attributeArray | reference to array
  string | $name | name of attribute
  string | $value | value of attribute

Returns
  void

Definition at line 3461 of file Client.php.

Referenced by CAS_Client\_readExtraAttributesCas20().

## ◆ _readExtraAttributesCas20()

CAS_Client::_readExtraAttributesCas20 | ( |  | $success_elements | ) |
| private

This method will parse the DOM and pull out the attributes from the XML payload and put them into an array, then put the array into the session.

Parameters

  string | $success_elements | payload of the response

Returns
  bool true when successfull, halt otherwise by calling CAS_Client::_authError().

Definition at line 3311 of file Client.php.

References CAS_Client\_addAttributeToArray(), CAS_Client\setAttributes(), and phpCAS\traceEnd().

## ◆ validateCAS20()

CAS_Client::validateCAS20 | ( | & | $validate_url,
|  | & | $text_response,
|  | & | $tree_response,
|  |  | $renew = `false`
| ) |  |

This method is used to validate a cas 2.0 ST or PT; halt on failure Used for all CAS 2.0 validations

Parameters

  string | &$validate_url | the url of the reponse
  string | &$text_response | the text of the repsones
  string | &$tree_response | the domxml tree of the respones
  bool | $renew | true to force the authentication with the CAS server

Returns
  bool true when successfull and issue a CAS_AuthenticationException and false on an error

Definition at line 3166 of file Client.php.

References CAS_Client\_getCallbackURL(), CAS_Client\_readURL(), CAS_Client\getAllowedProxyChains(), CAS_Client\getServerProxyValidateURL(), CAS_Client\getServerServiceValidateURL(), CAS_Client\getTicket(), CAS_Client\isProxy(), phpCAS\trace(), and phpCAS\traceBegin().